#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,m;
    scanf("%i%i",&n,&m);
    if(n==1)
    {
        printf("%i\n",m);
    }
    else if(m==1)
    {
        printf("%i\n",n);
    }
    else
    {
        int x=(n-2)*(m-2);
        int res=n*m-x;
        res+=x/2;
        printf("%i\n",res);
    }
    return 0;
}